Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA::ContextList Class Reference

`#include <Context.h>`

Collaboration diagram for CORBA::ContextList:

[legend]
List of all members.

## Public Types
typedef CORBA::ContextList_ptr | _ptr_type
typedef CORBA::ContextList_var | _var_type
## Public Methods
| ContextList (void)
| ContextList (CORBA::ULong len, char **ctx_list)
| ~ContextList (void)
CORBA::ULong | count (void)
ContextList_ptr | _duplicate (void)
void | _destroy (void)
void | add (char *ctx)
void | add_consume (char *ctx)
char * | item (CORBA::ULong slot ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | remove (CORBA::ULong slot ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | _incr_refcnt (void)
void | _decr_refcnt (void)
## Static Public Methods
ContextList_ptr | _duplicate (ContextList *)
ContextList_ptr | _nil ()
## Private Methods
| ContextList (const ContextList &)
ContextList & | operator= (const ContextList &)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::ULong > | ref_count_
ACE_Unbounded_Queue< char * > | ctx_list_

## Member Typedef Documentation

typedef CORBA::ContextList_ptr CORBA::ContextList::_ptr_type

typedef CORBA::ContextList_var CORBA::ContextList::_var_type

## Constructor & Destructor Documentation

ACE_INLINE CORBA::ContextList::ContextList | ( | void |  | ) |

CORBA::ContextList::ContextList | ( | CORBA::ULong | len,
|  | char ** | ctx_list
| ) |

CORBA::ContextList::~ContextList | ( | void |  | ) |

CORBA::ContextList::ContextList | ( | const ContextList & |  | ) | `[private]`

## Member Function Documentation

void CORBA::ContextList::_decr_refcnt | ( | void |  | ) |

void CORBA::ContextList::_destroy | ( | void |  | ) |

ContextList_ptr CORBA::ContextList::_duplicate | ( | ContextList * |  | ) | `[static]`

CORBA::ContextList_ptr CORBA::ContextList::_duplicate | ( | void |  | ) |

void CORBA::ContextList::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::ContextList_ptr CORBA::ContextList::_nil | ( |  | ) | `[static]`

void CORBA::ContextList::add | ( | char * | ctx | ) |

void CORBA::ContextList::add_consume | ( | char * | ctx | ) |

ACE_INLINE CORBA::ULong CORBA::ContextList::count | ( | void |  | ) |

char * CORBA::ContextList::item | ( | CORBA::ULong slot | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

ContextList& CORBA::ContextList::operator= | ( | const ContextList & |  | ) | `[private]`

void CORBA::ContextList::remove | ( | CORBA::ULong slot | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

## Member Data Documentation

ACE_Unbounded_Queue<char *> CORBA::ContextList::ctx_list_`[private]`

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> CORBA::ContextList::ref_count_`[private]`

The documentation for this class was generated from the following files:

- Context.h
- Context.cpp
- Context.inl